'''
Reading csv and showing sorting

@author: rodger
'''

import csv

def countByArtist(name):
    csvf = open(name, 'r', encoding='utf-8')
    freader = csv.reader(csvf)
    header = next(freader)
    print("header row labels", header)
    data = {}
    for row in freader:
        #print("row:", row)
        artist = row[2]
        if artist not in data:
            data[artist] = 0
        data[artist] += 1

    csvf.close()
    return data

if __name__ == '__main__':
    counts = countByArtist("data/top1000.csv")

    print('\nFirst 5 artists in alphabetical order:')
    for artist in sorted(counts.items())[:5]:
        print(artist)
            
    print('\nTop 5 artists:')
    sortbycount = sorted([(a[1], a[0]) for a in counts.items()])
    print(sortbycount[:5])
    sortedArtists = [(a[1], a[0]) for a in sortbycount]
    print(sortedArtists[:5])
    print("done with extra")
    for artist in sortedArtists[-5:]:
        print(artist)

